petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatLMVMApplyJ0Inv

Applies some estimation of the initial Jacobian inverse to the given vector. The specific form of the Section 1.5 Writing Application Codes with PETSc depends on whether the user provided a scaling factor, a J0 matrix, a J0 PC, or a J0 KSP object. If no form of the initial Jacobian is provided, the function simply does an identity matrix Section 1.5 Writing Application Codes with PETSc (vector copy).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMApplyJ0Inv(Mat B, Vec X, Vec Y)

### Input Parameters

| B | - An LMVM-type matrix
| X | - vector to "multiply" with J0^{-1}

### Output Parameter

Y -resulting vector for the operation

### See Also

MatLMVMSetJ0(), MatLMVMSetJ0Scale(), MatLMVMSetJ0ScaleDiag(),
MatLMVMSetJ0PC(), MatLMVMSetJ0KSP(), MatLMVMApplyJ0Fwd()

### Level

advanced

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages